export function FlinkSqlParserVisitor(): this;
export class FlinkSqlParserVisitor {
    constructor: typeof FlinkSqlParserVisitor;
    visitProgram(ctx: any): any;
    visitStatement(ctx: any): any;
    visitSqlStatements(ctx: any): any;
    visitSqlStatement(ctx: any): any;
    visitEmptyStatement(ctx: any): any;
    visitDdlStatement(ctx: any): any;
    visitDmlStatement(ctx: any): any;
    visitDescribeStatement(ctx: any): any;
    visitExplainStatement(ctx: any): any;
    visitUseStatement(ctx: any): any;
    visitShowStatememt(ctx: any): any;
    visitCreateTable(ctx: any): any;
    visitColumnOptionDefinition(ctx: any): any;
    visitColumnName(ctx: any): any;
    visitColumnNameList(ctx: any): any;
    visitColumnType(ctx: any): any;
    visitLengthOneDimension(ctx: any): any;
    visitCommentSpec(ctx: any): any;
    visitWatermarkDefinition(ctx: any): any;
    visitTableConstraint(ctx: any): any;
    visitSelfDefinitionClause(ctx: any): any;
    visitPartitionDefinition(ctx: any): any;
    visitTransformList(ctx: any): any;
    visitIdentityTransform(ctx: any): any;
    visitApplyTransform(ctx: any): any;
    visitTransformArgument(ctx: any): any;
    visitLikeDefinition(ctx: any): any;
    visitLikeOption(ctx: any): any;
    visitCreateCatalog(ctx: any): any;
    visitCreateDatabase(ctx: any): any;
    visitCreateView(ctx: any): any;
    visitCreateFunction(ctx: any): any;
    visitAlterTable(ctx: any): any;
    visitRenameDefinition(ctx: any): any;
    visitSetKeyValueDefinition(ctx: any): any;
    visitAlterDatabase(ctx: any): any;
    visitAlterFunction(ctx: any): any;
    visitDropTable(ctx: any): any;
    visitDropDatabase(ctx: any): any;
    visitDropView(ctx: any): any;
    visitDropFunction(ctx: any): any;
    visitInsertStatement(ctx: any): any;
    visitInsertPartitionDefinition(ctx: any): any;
    visitValuesDefinition(ctx: any): any;
    visitValuesRowDefinition(ctx: any): any;
    visitQueryStatement(ctx: any): any;
    visitValuesCaluse(ctx: any): any;
    visitSelectStatement(ctx: any): any;
    visitSelectClause(ctx: any): any;
    visitProjectItemDefinition(ctx: any): any;
    visitFromClause(ctx: any): any;
    visitTableExpression(ctx: any): any;
    visitTableReference(ctx: any): any;
    visitTablePrimary(ctx: any): any;
    visitJoinCondition(ctx: any): any;
    visitWhereClause(ctx: any): any;
    visitGroupByClause(ctx: any): any;
    visitGroupItemDefinition(ctx: any): any;
    visitHavingClause(ctx: any): any;
    visitOrderByCaluse(ctx: any): any;
    visitOrderItemDefition(ctx: any): any;
    visitLimitClause(ctx: any): any;
    visitWindowClause(ctx: any): any;
    visitNamedWindow(ctx: any): any;
    visitWindowSpec(ctx: any): any;
    visitSortItem(ctx: any): any;
    visitWindowFrame(ctx: any): any;
    visitFrameBound(ctx: any): any;
    visitExpression(ctx: any): any;
    visitLogicalNot(ctx: any): any;
    visitPredicated(ctx: any): any;
    visitExists(ctx: any): any;
    visitLogicalBinary(ctx: any): any;
    visitPredicate(ctx: any): any;
    visitValueExpressionDefault(ctx: any): any;
    visitComparison(ctx: any): any;
    visitArithmeticBinary(ctx: any): any;
    visitArithmeticUnary(ctx: any): any;
    visitDereference(ctx: any): any;
    visitSimpleCase(ctx: any): any;
    visitColumnReference(ctx: any): any;
    visitLast(ctx: any): any;
    visitStar(ctx: any): any;
    visitSubscript(ctx: any): any;
    visitSubqueryExpression(ctx: any): any;
    visitCast(ctx: any): any;
    visitConstantDefault(ctx: any): any;
    visitParenthesizedExpression(ctx: any): any;
    visitFunctionCall(ctx: any): any;
    visitSearchedCase(ctx: any): any;
    visitPosition(ctx: any): any;
    visitFirst(ctx: any): any;
    visitFunctionName(ctx: any): any;
    visitDereferenceDefinition(ctx: any): any;
    visitQualifiedName(ctx: any): any;
    visitInterval(ctx: any): any;
    visitErrorCapturingMultiUnitsInterval(ctx: any): any;
    visitMultiUnitsInterval(ctx: any): any;
    visitErrorCapturingUnitToUnitInterval(ctx: any): any;
    visitUnitToUnitInterval(ctx: any): any;
    visitIntervalValue(ctx: any): any;
    visitColumnAlias(ctx: any): any;
    visitTableAlias(ctx: any): any;
    visitErrorCapturingIdentifier(ctx: any): any;
    visitErrorIdent(ctx: any): any;
    visitRealIdent(ctx: any): any;
    visitIdentifierList(ctx: any): any;
    visitIdentifierSeq(ctx: any): any;
    visitIdentifier(ctx: any): any;
    visitUnquotedIdentifierAlternative(ctx: any): any;
    visitQuotedIdentifierAlternative(ctx: any): any;
    visitAnsiNonReservedKeywords(ctx: any): any;
    visitNonReservedKeywords(ctx: any): any;
    visitUnquotedIdentifier(ctx: any): any;
    visitQuotedIdentifier(ctx: any): any;
    visitWhenClause(ctx: any): any;
    visitUidList(ctx: any): any;
    visitUid(ctx: any): any;
    visitPlusUid(ctx: any): any;
    visitWithOption(ctx: any): any;
    visitIfNotExists(ctx: any): any;
    visitIfExists(ctx: any): any;
    visitTablePropertyList(ctx: any): any;
    visitTableProperty(ctx: any): any;
    visitTablePropertyKey(ctx: any): any;
    visitTablePropertyValue(ctx: any): any;
    visitLogicalOperator(ctx: any): any;
    visitComparisonOperator(ctx: any): any;
    visitBitOperator(ctx: any): any;
    visitMathOperator(ctx: any): any;
    visitUnaryOperator(ctx: any): any;
    visitFullColumnName(ctx: any): any;
    visitConstant(ctx: any): any;
    visitStringLiteral(ctx: any): any;
    visitDecimalLiteral(ctx: any): any;
    visitBooleanLiteral(ctx: any): any;
    visitSetQuantifier(ctx: any): any;
    visitAnsiNonReserved(ctx: any): any;
    visitStrictNonReserved(ctx: any): any;
    visitNonReserved(ctx: any): any;
}
